Bug 809733 - [ovirt] [engine-core] run once: boot order param is not sent for CD-ROM device
[ovirt] [engine-core] run once: boot order param is not sent for CD-ROM device
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1
Assigned To: Eli Mesika
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 04:44 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:03:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-04-04 04:44:27 EDT
Description of problem:

- create vm 
- create disk 
- chose run once
  * select cd-rom and select image
- vm is started, vmCreate command sent to vdsm, with cd-rom device, but without 
  boot-order


Thread-241::DEBUG::2012-04-04 11:20:39,866::BindingXMLRPC::869::vds::(wrapper) client [10.35.97.30]::call vmCreate with ({'hiberVolHandle': '610da315-59ee-4058-ba7e-f81df40bfbad,552256b8-3266-4930-9d13-f9c7ff636f35,dce1a45c-abb6-453e-b5be-0377795a3130,acabbf35-fd86-4b34-8b81-7cb1fe8987e1,280da3a5-cc60-406b-a4c0-f99c78ff23cf,7ddea1fb-5a10-4b9b-a494-92980f2d5ca1', 'custom': {'device_0943097d-47d3-457b-9bca-1d312132150edevice_874e28fc-25ff-48bc-80cb-0bf3ea7cbc27device_78c3e9f2-9d18-4f9f-87b7-30099b34fb9cdevice_b9c7ff13-414a-4f2d-9c77-1478a122db19': 'org.ovirt.engine.core.common.businessentities.VmDevice@8daa62e6', 'device_0943097d-47d3-457b-9bca-1d312132150edevice_874e28fc-25ff-48bc-80cb-0bf3ea7cbc27device_78c3e9f2-9d18-4f9f-87b7-30099b34fb9cdevice_b9c7ff13-414a-4f2d-9c77-1478a122db19device_915be855-c6bd-4ae8-9d57-cd244564f686device_5d2d8399-92e4-408d-b1d9-30d83b996a75': 'org.ovirt.engine.core.common.businessentities.VmDevice@57b3a9fd', 'device_0943097d-47d3-457b-9bca-1d312132150edevice_874e28fc-25ff-48bc-80cb-0bf3ea7cbc27device_78c3e9f2-9d18-4f9f-87b7-30099b34fb9cdevice_b9c7ff13-414a-4f2d-9c77-1478a122db19device_915be855-c6bd-4ae8-9d57-cd244564f686': 'org.ovirt.engine.core.common.businessentities.VmDevice@5fa71f29', 'device_0943097d-47d3-457b-9bca-1d312132150edevice_874e28fc-25ff-48bc-80cb-0bf3ea7cbc27device_78c3e9f2-9d18-4f9f-87b7-30099b34fb9c': 'org.ovirt.engine.core.common.businessentities.VmDevice@96f24ffc', 'device_0943097d-47d3-457b-9bca-1d312132150edevice_874e28fc-25ff-48bc-80cb-0bf3ea7cbc27': 'org.ovirt.engine.core.common.businessentities.VmDevice@a51807c', 'device_0943097d-47d3-457b-9bca-1d312132150e': 'org.ovirt.engine.core.common.businessentities.VmDevice@a90456b8'}, 'keyboardLayout': 'en-us', 'kvmEnable': 'true', 'acpiEnable': 'true', 'emulatedMachine': 'pc-0.14', 'vmId': '9be88ad9-aff9-48a4-b425-9e6c940dc845', 'devices': [{'device': 'qxl', 'specParams': {'vram': '32768', 'deviceId': 'd9a232bf-4fc1-40ae-a774-c7db3a1975ee'}, 'type': 'video', 'address': {'bus': '0x00', ' slot': '0x02', ' domain': '0x0000', ' type': 'pci', ' function': '0x0'}}, {'index': 0, 'iface': 'virtio', 'format': 'cow', 'bootOrder': '1', 'poolID': '552256b8-3266-4930-9d13-f9c7ff636f35', 'volumeID': '4bcb003f-d745-4359-be68-39951ecd1039', 'imageID': '540d59cc-744e-4d1a-8dc4-f0c436b180be', 'specParams': {'deviceId': '540d59cc-744e-4d1a-8dc4-f0c436b180be'}, 'readonly': 'false', 'domainID': '610da315-59ee-4058-ba7e-f81df40bfbad', 'optional': 'false', 'address': {'bus': '0x00', ' slot': '0x05', ' domain': '0x0000', ' type': 'pci', ' function': '0x0'}, 'device': 'disk', 'propagateErrors': 'off', 'type': 'disk'}, {'nicModel': 'pv', 'macAddr': '00:1a:4a:23:64:09', 'network': 'ovirtmgmt', 'specParams': {'deviceId': '353ec7a4-d817-4ef7-8500-3db029400935'}, 'address': {'bus': '0x00', ' slot': '0x03', ' domain': '0x0000', ' type': 'pci', ' function': '0x0'}, 'device': 'bridge', 'type': 'interface'}, {'device': 'ich6', 'specParams': {'deviceId': '2d003efc-7e22-11e1-91de-6b494e0e9984'}, 'type': 'sound', 'address': {'bus': '0x00', ' slot': '0x04', ' domain': '0x0000', ' type': 'pci', ' function': '0x0'}}], 'smp': '1', 'vmType': 'kvm', 'memSize': 256, 'timeOffset': '-166', 'cpuType': 'Conroe', 'smpCoresPerSocket': '1', 'vmName': 'IgorFix-04', 'display': 'qxl', 'transparentHugePages': 'true', 'nice': '0'},) {} flowID [1689eae0]
Comment 1 Eli Mesika 2012-04-04 05:34:46 EDT
http://gerrit.ovirt.org/#change,3308
Comment 2 Eli Mesika 2012-04-04 09:35:36 EDT
igore last post comment (made by mistake on wrong bug)
Comment 3 Eli Mesika 2012-04-04 09:42:17 EDT
http://gerrit.ovirt.org/#change,3308
Comment 4 Eli Mesika 2012-04-04 09:44:49 EDT
igore last post comment (made by mistake on wrong bug)
Comment 6 Itamar Heim 2012-08-09 04:03:04 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/
Comment 7 Itamar Heim 2012-08-09 04:03:54 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.